org.eclipse.oomph.p2.core

## Class P2Util

- java.lang.Object
- - org.eclipse.oomph.p2.core.P2Util

-     public final class P2Util
      extends Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `P2Util.VersionedIdFilter`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Iterable<T>` | `asIterable(IQueryResult<T> queryResult)`
    `static Agent` | `createAgent(File agentLocation)`
    `static File` | `getAgentLocation(IProvisioningAgent agent)`
    `static AgentManager` | `getAgentManager()`
    `static IProvisioningAgent` | `getCurrentProvisioningAgent()`
    `static Set<String>` | `getKnownRepositories(IRepositoryManager<?> manager)`
    `static void` | `mirrorArtifactRepository(URI sourceURI, URI targetURI, P2Util.VersionedIdFilter filter, IProgressMonitor monitor)`
    `static void` | `mirrorMetadataRepository(URI sourceURI, URI targetURI, P2Util.VersionedIdFilter filter, IProgressMonitor monitor)`
    `static void` | `mirrorRepository(URI sourceURI, URI targetURI, P2Util.VersionedIdFilter filter, IProgressMonitor monitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAgentManager

          public static AgentManager getAgentManager()

    - #### getAgentLocation

          public static File getAgentLocation(IProvisioningAgent agent)

    - #### getCurrentProvisioningAgent

          public static IProvisioningAgent getCurrentProvisioningAgent()

    - #### createAgent

          public static Agent createAgent(File agentLocation)

    - #### getKnownRepositories

          public static Set<String> getKnownRepositories(IRepositoryManager<?> manager)

    - #### mirrorRepository

          public static void mirrorRepository(URI sourceURI,
                              URI targetURI,
                              P2Util.VersionedIdFilter filter,
                              IProgressMonitor monitor)
                                       throws CoreException

      Throws:
        `CoreException`

    - #### mirrorMetadataRepository

          public static void mirrorMetadataRepository(URI sourceURI,
                                      URI targetURI,
                                      P2Util.VersionedIdFilter filter,
                                      IProgressMonitor monitor)
                                               throws CoreException

      Throws:
        `CoreException`

    - #### asIterable

          public static <T> Iterable<T> asIterable(IQueryResult<T> queryResult)

    - #### mirrorArtifactRepository

          public static void mirrorArtifactRepository(URI sourceURI,
                                      URI targetURI,
                                      P2Util.VersionedIdFilter filter,
                                      IProgressMonitor monitor)
                                               throws CoreException

      Throws:
        `CoreException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html